Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.persistence
Interface ProcessPersistenceContext

All Superinterfaces:
  org.drools.persistence.PersistenceContext

All Known Implementing Classes:
  JpaProcessPersistenceContext, MapBasedProcessPersistenceContext

    public interface ProcessPersistenceContext

extends org.drools.persistence.PersistenceContext

Method Summary
`ProcessInstanceInfo` | `findProcessInstanceInfo(Long processId)`
`Long` | `getProcessInstanceByCorrelationKey(org.kie.internal.process.CorrelationKey correlationKey)`
`List<Long>` | `getProcessInstancesWaitingForEvent(String type)`
`CorrelationKeyInfo` | `persist(CorrelationKeyInfo correlationKeyInfo)`
`ProcessInstanceInfo` | `persist(ProcessInstanceInfo processInstanceInfo)`
`void` | `remove(ProcessInstanceInfo processInstanceInfo)`

Methods inherited from interface org.drools.persistence.PersistenceContext
`close, findSessionInfo, findWorkItemInfo, isOpen, joinTransaction, lock, merge, persist, persist, remove, remove`

Method Detail

### persist

    ProcessInstanceInfo persist(ProcessInstanceInfo processInstanceInfo)

### persist

    CorrelationKeyInfo persist(CorrelationKeyInfo correlationKeyInfo)

### findProcessInstanceInfo

    ProcessInstanceInfo findProcessInstanceInfo(Long processId)

### remove

    void remove(ProcessInstanceInfo processInstanceInfo)

### getProcessInstancesWaitingForEvent

    List<Long> getProcessInstancesWaitingForEvent(String type)

### getProcessInstanceByCorrelationKey

    Long getProcessInstanceByCorrelationKey(org.kie.internal.process.CorrelationKey correlationKey)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.